Bug 627936 - Review Request: bowtie - An ultrafast, memory-efficient short read aligner
Summary: Review Request: bowtie - An ultrafast, memory-efficient short read aligner
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-27 12:51 UTC by Adam Huffman
Modified: 2011-09-18 18:22 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-07-12 04:48:46 UTC
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Adam Huffman 2010-08-27 12:51:32 UTC
Spec URL: http://verdurin.fedorapeople.org/reviews/bowtie/bowtie.spec
SRPM URL: http://verdurin.fedorapeople.org/reviews/bowtie/bowtie-0.12.5-2.fc13.src.rpm
Description: 

Bowtie, an ultrafast, memory-efficient short read aligner for short
DNA sequences (reads) from next-gen sequencers. Please cite: Langmead
B, et al. Ultrafast and memory-efficient alignment of short DNA
sequences to the human genome. Genome Biol 10:R25.

Comment 1 Adam Huffman 2010-08-27 12:54:39 UTC
There are some problems that still need to be fixed, such as the fact that the CFLAGS are hard-coded in the Makefile.  I've mentioned this to upstream and asked that they amend the Makefile so as to allow command-line overriding of the CFLAGS.  There's been no response yet.

Here's the rpmlint output:


bowtie.src: W: spelling-error Summary(en_US) ultrafast -> ultra fast, ultra-fast, ultrafilter
bowtie.src: W: spelling-error %description -l en_US ultrafast -> ultra fast, ultra-fast, ultrafilter
bowtie.src: W: spelling-error %description -l en_US Langmead -> Lang mead, Lang-mead, Langmuir
bowtie.src: W: spelling-error %description -l en_US Ultrafast -> Ultra fast, Ultra-fast, Ultrafilter
bowtie.x86_64: W: spelling-error Summary(en_US) ultrafast -> ultra fast, ultra-fast, ultrafilter
bowtie.x86_64: W: spelling-error %description -l en_US ultrafast -> ultra fast, ultra-fast, ultrafilter
bowtie.x86_64: W: spelling-error %description -l en_US Langmead -> Lang mead, Lang-mead, Langmuir
bowtie.x86_64: W: spelling-error %description -l en_US Ultrafast -> Ultra fast, Ultra-fast, Ultrafilter
bowtie.x86_64: W: no-manual-page-for-binary bowtie
bowtie.x86_64: W: no-manual-page-for-binary bowtie-inspect
bowtie.x86_64: W: no-manual-page-for-binary bowtie-build
bowtie.x86_64: W: spelling-error Summary(en_US) ultrafast -> ultra fast, ultra-fast, ultrafilter
bowtie.x86_64: W: spelling-error %description -l en_US ultrafast -> ultra fast, ultra-fast, ultrafilter
bowtie.x86_64: W: spelling-error %description -l en_US Langmead -> Lang mead, Lang-mead, Langmuir
bowtie.x86_64: W: spelling-error %description -l en_US Ultrafast -> Ultra fast, Ultra-fast, Ultrafilter
bowtie.x86_64: W: no-manual-page-for-binary bowtie
bowtie.x86_64: W: no-manual-page-for-binary bowtie-inspect
bowtie.x86_64: W: no-manual-page-for-binary bowtie-build
bowtie-debuginfo.x86_64: E: debuginfo-without-sources
bowtie-debuginfo.x86_64: E: debuginfo-without-sources

Comment 2 Thomas Spura 2010-08-28 10:56:36 UTC
- Hmm, there are no CFLAGS defintions in the Makefile...
  How about: make %{?_smp_mflags} -p EXTRA_FLAGS="%{optflags}"
  Then the debuginfo-without-sources error is gone and the rest should be ignorable.


- When you don't want to build this for EL5, you can delete quite a lot of stuff:
  See: bug #603233 comment 11

Comment 3 Adam Huffman 2010-08-31 10:13:28 UTC
Yes, you're right - I meant to say 'compilation flags'.

Have applied your suggested fix:

http://verdurin.fedorapeople.org/reviews/bowtie/bowtie.spec

http://verdurin.fedorapeople.org/reviews/bowtie/bowtie-0.12.5-3.fc13.src.rpm

I do want to build for EL5 - would you suggest conditionals?  Personally I would prefer to keep it as is, to improve readability.

Comment 4 Adam Huffman 2010-09-13 22:21:44 UTC
New version with latest upstream release:

http://verdurin.fedorapeople.org/reviews/bowtie/bowtie.spec

http://verdurin.fedorapeople.org/reviews/bowtie/bowtie-0.12.7-1.fc13.src.rpm

There's a new rpmlint error:


bowtie.x86_64: E: script-without-shebang /usr/share/bowtie/scripts/gen_dnamasks2colormask.pl
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

I've contacted the authors to clarify the status of this file.

Comment 5 Adam Huffman 2010-11-14 19:01:51 UTC
Upstream says that the shebang will be included in the next release.

Comment 6 Brennan Ashton 2011-03-05 21:56:41 UTC
Please make sure that the component is set correctly so that that reviewer will see this bug.  I have fixed it.

Comment 7 Adam Huffman 2011-03-13 00:44:20 UTC
Brennan, thanks for catching that.  There hasn't been an upstream release since 0.12.7, so the issue with /usr/share/bowtie/scripts/gen_dnamasks2colormask.pl remains.

Comment 8 Gwyn Ciesla 2011-06-27 14:53:17 UTC
Other than trivial spelling errors, rpmlint gives:

bowtie.x86_64: E: script-without-shebang /usr/share/bowtie/scripts/gen_dnamasks2colormask.pl
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

Patch for this, and drop the patch when upstream fixes it.

bowtie.x86_64: W: no-manual-page-for-binary bowtie
Each executable in standard binary directories should have a man page.

bowtie.x86_64: W: no-manual-page-for-binary bowtie-inspect
Each executable in standard binary directories should have a man page.

bowtie.x86_64: W: no-manual-page-for-binary bowtie-build
Each executable in standard binary directories should have a man page.

No man pages exist, unfortunately, but you might suggest that upstream create some.

Otherwise:

Good:

- rpmlint checks return:

- package meets naming guidelines
- package meets packaging guidelines
- license ( ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

To fix:
Patch for shebang.
Include the doc/ dir in %doc.

Mock build in progress for BR check.

Comment 9 Gwyn Ciesla 2011-06-27 15:11:37 UTC
Mock build was good, so it's just the two issues above.

Comment 10 Adam Huffman 2011-06-27 22:16:11 UTC
Many thanks for taking a look - I was beginning to give up hope...

New version that should address those problems is up at:

http://verdurin.fedorapeople.org/reviews/bowtie/bowtie.spec

http://verdurin.fedorapeople.org/reviews/bowtie/bowtie-0.12.7-2.fc14.src.rpm

Comment 12 Adam Huffman 2011-06-28 07:03:49 UTC
New Package SCM Request
=======================
Package Name: bowtie
Short Description: An ultrafast, memory-efficient short read aligner
Owners: verdurin
Branches: f14 f15 el5 el6
InitialCC:

Comment 13 Gwyn Ciesla 2011-06-28 12:00:01 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2011-06-28 13:11:59 UTC
bowtie-0.12.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bowtie-0.12.7-2.el6

Comment 15 Fedora Update System 2011-06-28 13:19:19 UTC
bowtie-0.12.7-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bowtie-0.12.7-2.el5

Comment 16 Fedora Update System 2011-06-28 14:12:30 UTC
bowtie-0.12.7-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bowtie-0.12.7-2.fc15

Comment 17 Fedora Update System 2011-06-28 14:19:15 UTC
bowtie-0.12.7-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bowtie-0.12.7-2.fc14

Comment 18 Fedora Update System 2011-06-28 15:47:12 UTC
bowtie-0.12.7-2.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 19 Fedora Update System 2011-07-12 04:48:37 UTC
bowtie-0.12.7-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 20 Fedora Update System 2011-07-12 05:18:58 UTC
bowtie-0.12.7-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 21 Fedora Update System 2011-07-15 00:01:35 UTC
bowtie-0.12.7-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 22 Fedora Update System 2011-07-15 00:02:50 UTC
bowtie-0.12.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.